Description

Currently, if you enable the Embedded plugin for a project, it puts a link in the top nav regardless of whether any documentation exists
or not.

If the documentation doesn't exist, then clicking on the link will give you an error page.

We want to enable the plugin for all projects by default, | think. This means that it should only show up in the nav bar if there is
actually some documentation to see.

History

#1 - 2011-01-27 12:10 PM - Chris Cannam

Hm, the difficulty with this is that the Embedded plugin stores nothing in the database -- it goes to the filesystem on each access (that's kind of the
point, of course, but nothing about the existence of the data gets cached).

We don't want to be doing the filesystem check each time we render the nav bar, if we can possibly help it!

Perhaps it is better to leave it up to the project owner to enable or disable Embedded. Or, perhaps the daemon that extracts embedded documentation
could enable Embedded via the WS API if the documentation extraction succeeds and it has never been extracted before -- then if the user
subsequently switches it off, it stays switched off.

#2 - 2011-01-27 02:52 PM - Chris Cannam
- Subject changed from Make Embedded plugin do nothing if enabled unnecessarily to Make it possible to enable Embedded plugin from WS API

Let's pursue the WS APl method. Renaming issue to match.

#3 - 2011-01-27 02:55 PM - Chris Cannam

- Status changed from New to Resolved

Method added to WS APl in commit:9d2c8317d42f

#4 - 2011-02-03 05:52 PM - Chris Cannam

- Status changed from Resolved to Closed
